Subject: Re: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: "Fabrice Niessen" <[email-masked]>
Date: Sat, 13 Oct 2012 09:45:50 +0200

Hi Eli,

Eli Zaretskii wrote:
> We are again in delete-process.
>
>> (gdb) finish
>> Run till exit from #0  0x7c962119 in ntdll!KiIntSystemCall () from /cygdrive/c/WINDOWS/system32/ntdll.dll
>> Warning:
>> Cannot insert breakpoint 0.
>> Error accessing memory address 0x5: Input/output error.
>> 
>> Is this what you need?
>
> Yes, but unfortunately it looks like GDB is unable to get out of the
> system calls where Emacs is stuck.
>
>> BTW, you asked me to go there, to find the .gdbinit file in some /src
>> directory; but I don't find where... Could you show me where?
>
> In the source distribution.  Where that is depends on what binary you
> use.  Where did you get the binary?

As I wrote in the preamble of the email:

>> I've been running Emacs 24.2 for 1.5 day so far with no crash... This is with
>> the version I got from
>> ftp://ftp.gnu.org/gnu/emacs/windows/emacs-24.2-bin-i386.zip, dated 7th of
>> October.

Wouldn't it be wise to always include the right .gdbinit file in every
compiled Emacs, even in release versions?  That way, "you" (in the broad
sense) would always be sure users could give you the information you need to
further debug problems...

Best regards,
Fabrice

-- 
Fabrice Niessen
Pre-sales, Network and Software Engineer
M i s s i o n   C r i t i c a l   I T
✉ [email-masked]
☎ +32 2-757.10.15